">

- NAME
- SYNOPSIS
- DESCRIPTION
- INSTANCE METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Processable::Source::Format - Lintian interface to source format

# SYNOPSIS

        my $collect = Lintian::Processable::Source::Format->new;

# DESCRIPTION

Lintian::Processable::Source::Format provides an interface to source format information.

# INSTANCE METHODS

source_format
native

  Returns true if the source package is native and false otherwise. This is generally determined from the source format, though in the 1.0 case the nativeness is determined by looking for the diff.gz (using the name of the source package and its version).

  If the source format is 1.0 and the version number is absent, this will return false (as native packages are a lot rarer than non-native ones).

  Note if the source format is missing, it is assumed to be a 1.0 package.

# AUTHOR

Originally written by Russ Allbery <rra@debian.org> for Lintian. Amended by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

# SEE ALSO

lintian(1), Lintian::Relation(3)

<<